Bug Hunting Session
Bug 63001 - Digital Signature feature needs drastic improvements on the lines of Signature Line feature
Summary: Digital Signature feature needs drastic improvements on the lines of Signatur...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-01 17:33 UTC by mkyadava
Modified: 2015-01-06 17:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
It shows an aattempt to use image and time stamp for visual impact of a digital signature (88.43 KB, application/vnd.oasis.opendocument.text)
2013-04-01 17:33 UTC, mkyadava
Details
JPG version of an attempt to put an image symbolizing a digitally signed letter (259.26 KB, image/jpeg)
2013-04-03 03:28 UTC, mkyadava
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mkyadava 2013-04-01 17:33:12 UTC
Created attachment 77281 [details]
It shows an aattempt to use image and time stamp for visual impact of a digital signature

The current digital signature feature in libre office seems to have limitations for full functionality in respect of digital signatures. Office documents typically need several signatures, say the gentleman who drafted, the gentleman who proofread, the guy who accepted, and the guy who finally okayed. Basically, a document requires multiple signatures. This provision is currently not there in libre office. We need a system of signing in "APPEND" mode as well if the digital signature has to be made more effective and widely acceptable.

Secondly, often the print out of the digitally document need visual features to tell the reader that the document was electronically signed by Mr. X at such date and time. Adobe does it nicely, but it has only one fixed image set to do so. Similar feature with custom images by the author is required, again with provision for multiple signatures. This would greatly enhance the visual appeal of the document and its authenticity. MS Word 2010 has already implemented such a system,and they call it "signature lines", and one could add oe or more signature lines to a document.

To my understanding, in addition to the current feature of digital signatures, there needs to be defined another way of putting signatures by using custom images (say .gif) which could be scanned signatures/ captured signatures from tablets, or any custom image. I could insert one image anywhere on the body of the document (say in OR mode) and as soon as I place it in the final location, it should record the time stamp below the image along with a custom line, say "This document is digitally signed...". However, to use the image for digital signatures, we may have to prepare it using custom line and a field/ placeholder where the timestamp appears. Additionally, this procedure should also activate the normal digital signature routine at the same time, so that digital validation can be achieved. 

I attempted doing such a thing. However, I first applied the digital signature and then inserted an image and used date field to capture the timestamp (which was couple of minutes late, obviously). We simply need a process by which on applying the image, the document gets digitally signed and the time stamp also appears, in a given location in the image/place

Further, when we convert existing digitally signed documents in pdf, there is no trace of the signature. By using the image, this situation can be remedied partially. Further, if possible, pdf must be able to show in its properties the document as digitally signed. This would also be a good relief.

Secondly, multiple signatures need to be allowed by using custom images.

This is a very important feature and should be looked at with  seriousness. Absence of this feature is hampering use of LibreOffice in offices, especially in complete digital work flow, dcument creation, management and distribution.
Comment 1 mkyadava 2013-04-03 03:28:00 UTC
Created attachment 77351 [details]
JPG version of an attempt to put an image symbolizing a digitally signed letter
Comment 2 Timur 2013-05-17 18:06:30 UTC
While this gain some more attention, with some proper analysis, I edited https://wiki.documentfoundation.org/Feature_Comparison:_LibreOffice_-_Microsoft_Office#General_office_suite:_LibreOffice_vs._Microsoft_Office and added Digital signatures / Signature Line.
I marked LO support as partial.
Comment 3 Joel Madero 2014-06-25 05:05:26 UTC
Please separate bugs - one bug, one report. This is too many reports in a single bug report. Sorry for the long delay in saying this but please separate and simplify. Reproducible steps are always needed for us to see the problem.


Marking as INVALID - please report new bugs for each request/bug report.